# TOPSIS


Submitted By: **Rajneesh Bansal**

***

## What is TOPSIS?

Technique for Order of Preference by Similarity to Ideal Solution 
(TOPSIS) originated in the 1980s as a multi-criteria decision making method.
TOPSIS chooses the alternative of shortest Euclidean distance from the ideal solution, 
and greatest distance from the negative-ideal solution. 

<br>

## Key Features:

### TOPSIS Algorithm Implementation:
This pacakge incorporates a robust and efficient implementation of the TOPSIS algorithm. It considers both positive and negative ideal solutions, calculating the relative closeness of alternatives to the ideal solution.

### The package is designed with a user-friendly interface, allowing users to input their decision matrices easily. The library handles the complexity of the TOPSIS method while providing a simple API for users.

### Customizable Weights:
This pacakge enables users to assign different weights to each criterion, allowing for flexibility in reflecting the relative importance of criteria in decision-making scenarios.

### Sensitivity Analysis:
Conduct sensitivity analyses to understand the impact of changes in criteria weights on the final decision. This pacakge provides tools for exploring various scenarios and making informed decisions.

### Result Interpretation:
The package provides intuitive result interpretation, presenting the ranked alternatives based on their closeness to the ideal solution. Detailed reports and visualizations aid in understanding the decision-making process.

### Compatibility:
This pacakge is compatible with Python 3.x and integrates seamlessly into various data science and analytics workflows. It can be easily incorporated into Jupyter notebooks, scripts, or larger applications.

## How to install this package:
```
>> pip install TOPSIS-Rajneesh-102283007
```


### In Command Prompt
```
>> topsis data.csv "1,1,2,1" "+,+,-,+" result.csv
```
